Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.engine
Class ODEProcess

    java.lang.Object
      org.apache.ode.bpel.engine.ODEProcess

    public class ODEProcess

extends java.lang.Object

Entry point into the runtime of a BPEL process.

Field Summary
`protected org.apache.ode.bpel.engine.Contexts` | `_contexts`
`DebuggerSupport` | `_debugger`

Method Summary
`java.net.URI` | `getBaseResourceURI()` Retrives the base URI to use for local resource resolution.
`java.util.Set<ProcessConf.CLEANUP_CATEGORY>` | `getCleanupCategories(boolean instanceSucceeded)`
`ExternalVariableManager` | `getEVM()`
`EndpointReference` | `getInitialPartnerRoleEPR(PartnerLinkModel link)`
`long` | `getLastUsed()`
`org.w3c.dom.Node` | `getProcessProperty(javax.xml.namespace.QName propertyName)`
`OdeConfigProperties` | `getProperties()`
`java.util.Set<Endpoint>` | `getServiceNames()` Get all the services that are implemented by this process.
`long` | `getTimeout(PartnerLinkModel partnerLink)`
`boolean` | `hintIsHydrated()` Get a hint as to whether this process is hydrated.
`boolean` | `isCleanupCategoryEnabled(boolean instanceSucceeded, ProcessConf.CLEANUP_CATEGORY category)`
`boolean` | `isInMemory()`
`void` | `recoverActivity(ProcessInstanceDAO instanceDAO, java.lang.String channel, long activityId, java.lang.String action, FaultInfo fault)`
`void` | `releaseMessageExchange(java.lang.String mexId)`
`void` | `saveEvent(ProcessInstanceEvent event, ProcessInstanceDAO instanceDao)`
`void` | `saveEvent(ProcessInstanceEvent event, ProcessInstanceDAO instanceDao, java.util.List<java.lang.String> scopeNames)`
`java.lang.String` | `scheduleWorkEvent(WorkEvent we, java.util.Date timeToFire)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _debugger

    public DebuggerSupport _debugger

### _contexts

    protected org.apache.ode.bpel.engine.Contexts _contexts

Method Detail

### getBaseResourceURI

    public java.net.URI getBaseResourceURI()

  Retrives the base URI to use for local resource resolution.

  Returns:
    URI - instance representing the absolute file path to the physical location of the process definition folder.

### getProperties

    public OdeConfigProperties getProperties()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getEVM

    public ExternalVariableManager getEVM()

### recoverActivity

    public void recoverActivity(ProcessInstanceDAO instanceDAO,
                                java.lang.String channel,
                                long activityId,
                                java.lang.String action,
                                FaultInfo fault)

### getServiceNames

    public java.util.Set<Endpoint> getServiceNames()

  Get all the services that are implemented by this process.

  Returns:
    list of qualified names corresponding to the myroles.

### getInitialPartnerRoleEPR

    public EndpointReference getInitialPartnerRoleEPR(PartnerLinkModel link)

### saveEvent

    public void saveEvent(ProcessInstanceEvent event,
                          ProcessInstanceDAO instanceDao)

### saveEvent

    public void saveEvent(ProcessInstanceEvent event,
                          ProcessInstanceDAO instanceDao,
                          java.util.List<java.lang.String> scopeNames)

### isInMemory

    public boolean isInMemory()

### getLastUsed

    public long getLastUsed()

### hintIsHydrated

    public boolean hintIsHydrated()

  Get a hint as to whether this process is hydrated. Note this is only a hint, since things could change.

### releaseMessageExchange

    public void releaseMessageExchange(java.lang.String mexId)

### scheduleWorkEvent

    public java.lang.String scheduleWorkEvent(WorkEvent we,
                                              java.util.Date timeToFire)

### isCleanupCategoryEnabled

    public boolean isCleanupCategoryEnabled(boolean instanceSucceeded,
                                            ProcessConf.CLEANUP_CATEGORY category)

### getCleanupCategories

    public java.util.Set<ProcessConf.CLEANUP_CATEGORY> getCleanupCategories(boolean instanceSucceeded)

### getProcessProperty

    public org.w3c.dom.Node getProcessProperty(javax.xml.namespace.QName propertyName)

### getTimeout

    public long getTimeout(PartnerLinkModel partnerLink)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD